import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Dialogs here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Dialog  extends Actor
{
    public Dialog(){
        this(false);
    }

    public Dialog(boolean large){
        if(large){
            setImage(new GreenfootImage("Message-background-large.png"));
        }else{
            setImage(new GreenfootImage("Message-background-small.png"));
        }
    }
    
    public void addLabel(String message, java.awt.Color colour, int size, int x, int y){
        Label label = new Label(message, colour, size);
        getImage().drawImage(label.getImage(), x-label.getImage().getWidth()/2, y-label.getImage().getHeight()/2);
    }
    
    public void addLabel(String message, java.awt.Color colour, int size, int x, int y, GreenfootImage image){
        Label label = new Label(message, colour, size, image);
        getImage().drawImage(label.getImage(), x-label.getImage().getWidth()/2, y-label.getImage().getHeight()/2);
    }
    
    public int getCentre(){
        return getImage().getWidth()/2;
    }

    /**
     * Act - do whatever the Dialogs wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if(Greenfoot.mouseClicked(this)){
            getWorld().removeObject(this);
        }
    }    
}
